
/***************************************************
 Mt_Script Multlingual Text Editor
 mtscript_1.1

 Copyright (c) 1996
 CNRS France
 All rights reserved
 March 1996
   
                       Authors:
                       --------
 Stephane HARIE                     Malek BOUALEM
 Multilingual text editor           Multilingual writing systems
 E-mail: harie@lpl.univ-aix.fr      E-mail: malek@lpl.univ-aix.fr

                    Collaborators:
                    --------------
 Jean VERONIS
 E-mail: veronis@univ-aix.fr
 
 LRE - MULTEXT Project (1994-1996)
 Laboratoire Parole et Langage - CNRS
 Aix-En-Provence, France
 Tel: (33) 42 95 36 27
 Fax: (33) 42 59 50 96
 E-mail: multext@lpl.univ-aix.fr
***************************************************/


/* Greek Rules
**************/

/* Controle */
E1= {0-7,9-31,128-159 }	/* controle */

/* Characters of the 1st part if ISO-7 */
E2= {32-38,40-126}

/* Special characters - {164,165,170,174} */
E3= { 161-163,166,168-169,171-173,175-179,181-192,218-219,224,250-251,255 }

/* All other characters - {R} and accentuated characters */
E4 = { 193-209,211-217,226-228,230,232,234-238,240-241,244,246-248 }
  
E9={180}		/* acute */

E10={225}		/* id. a */
E11={229}		/* id. e */
E12={231}		/* id. g */
E13={233}		/* id. i */
E14={239}		/* id. o */
E15={245}		/* id. u */
E16={249}		/* id. y */

E20={220}		/* a' */
E21={221}		/* e' */
E22={222}		/* g' */
E23={223}		/* i' */
E24={252}		/* o' */
E25={253}		/* u' */
E26={254}		/* y' */

E32={243}		/*  'ro'  intial and medial character */
E33={242}		/*  'ro'  final character */

E110={8}				/* backspace */
E111={127}				/* delete */
E112={160}				/* accentuation filter */

%%RULES

E*,E*:0,"b";		/* non particular characters: non changed */

E*,E110:-1,"";	  /* backspace */
E*,E111:1,"";	  /* delete */

E112,E*:-1,"b";
E112,E110:-1,"";
E112,E111:1,"";

E10,E9:-1,"C220";		/* accentuation */
E11,E9:-1,"C221";
E12,E9:-1,"C222";
E13,E9:-1,"C223";
E14,E9:-1,"C252";
E15,E9:-1,"C253";
E16,E9:-1,"C254";

E20,E110:-1,"C225";	/* suppression of accentuation */
E21,E110:-1,"C229";
E22,E110:-1,"C231";
E23,E110:-1,"C233";
E24,E110:-1,"C239";
E25,E110:-1,"C245";
E26,E110:-1,"C249";

E*,E32:0,"C242";				/* 'ro' final */
E32,E2:-1,"C242b";			/* 'ro' final */
E32,E3:-1,"C242b";			/* 'ro' final */
E32,E9:-1,"C242b";			/* 'ro' final */
E32,E112:-1,"C242b";			/* 'ro' final */

E32,E4:0,"b";				/* 'ro' intial and medial */
E32,E32:0,"C242";			/* 'ro' final */
E32,E33:0,"b";				/* 'ro' final */

E33,E4:-1,"C243b";		/* 'ro' intial and medial */

E33,E10:-1,"C243b";		/* 'ro' intial and medial */
E33,E11:-1,"C243b";		/* 'ro' intial and medial */
E33,E12:-1,"C243b";		/* 'ro' intial and medial */
E33,E13:-1,"C243b";		/* 'ro' intial and medial */
E33,E14:-1,"C243b";		/* 'ro' intial and medial */
E33,E15:-1,"C243b";		/* 'ro' intial and medial */
E33,E16:-1,"C243b";		/* 'ro' intial and medial */

E33,E20:-1,"C243b";		/* 'ro' intial and medial */
E33,E21:-1,"C243b";		/* 'ro' intial and medial */
E33,E22:-1,"C243b";		/* 'ro' intial and medial */
E33,E23:-1,"C243b";		/* 'ro' intial and medial */
E33,E24:-1,"C243b";		/* 'ro' intial and medial */
E33,E25:-1,"C243b";		/* 'ro' intial and medial */
E33,E26:-1,"C243b";		/* 'ro' intial and medial */

E33,E32:-1,"C243C242";	/* 'ro' intial and medial */
E33,E33:-1,"C243b";		/* 'ro' final */

%%END
