
/***************************************************
 Mt_Script Multlingual Text Editor
 mtscript_1.1

 Copyright (c) 1996
 CNRS France
 All rights reserved
 March 1996
   
                       Authors:
                       --------
 Stephane HARIE                     Malek BOUALEM
 Multilingual text editor           Multilingual writing systems
 E-mail: harie@lpl.univ-aix.fr      E-mail: malek@lpl.univ-aix.fr

                    Collaborators:
                    --------------
 Jean VERONIS
 E-mail: veronis@univ-aix.fr

 LRE - MULTEXT Project (1994-1996)
 Laboratoire Parole et Langage - CNRS
 Aix-En-Provence, France
 Tel: (33) 42 95 36 27
 Fax: (33) 42 59 50 96
 E-mail: multext@lpl.univ-aix.fr
***************************************************/
  

/* Spanish rules
****************/
E1={39}			/* acute or apostrophe ' */
E4={34}			/* diaeresis " */
E5={126}			/* tilde */

E10={97}		/* a */
E11={65}		/* A */
E12={101}		/* e */
E13={69}		/* E */
E14={105}		/* i */
E15={73}		/* I */
E16={111}		/* o */
E17={79}		/* O */
E18={117}		/* u */
E19={85}		/* U */

E22={110}		/* n */
E23={78}		/* N */
E24={241}		/*  */
E25={209}		/*  */

E32={225}		/* */
E33={193}		/*  */

E40={233}		/*  */
E41={201}		/*  */

E54={237}		/*  */
E55={205}		/*  */

E64={243}		/*  */
E65={211}		/*  */

E74={250}		/*  */
E75={218}		/*  */
E76={252}		/*  */
E77={220}		/*  */

E100={
	32-33,35-38,40-64,66-68,70-72,74-77,
	80-84,86-96,98-100,102-104,106-109,112-116,
	118-125,128-159,161-192,194-200,202-204,
	206-208,210,212-217,219,221-224,226-227,
	230-232,234-236,238-240,242,244-249,251,253-255 
	}

E101={0-7,9-31}

E110={8}			/* backspace */
E111={127}			/* delete */
E112={160}			/* accentuation filter */

%%RULES

E*,E*:0,"b";			/* non particular characters: non changed */

E*,E110:-1,"";		/* backspace */
E*,E111:1,"";		/* delete */

E112,E*:-1,"b";
E112,E110:-1,"";
E112,E111:1,"";


E10,E1:-1,"C225";	/* a,A acute */
E11,E1:-1,"C193";
E32,E110:-1,"C97";	/* BS on a,A accentuated */
E33,E110:-1,"C65";

E18,E1:-1,"C250";	/* u,U acute */
E19,E1:-1,"C218";
E18,E4:-1,"C252";	/* u,U diaeresis */
E19,E4:-1,"C220";
E74,E110:-1,"C117";	/* backspace on u,U accentuated */
E75,E110:-1,"C85";
E76,E110:-1,"C117";
E77,E110:-1,"C85";

E16,E1:-1,"C243";	/* o,O acute */
E17,E1:-1,"C211";
E64,E110:-1,"C111";	/* backspace on o,O accentuated */
E65,E110:-1,"C79";

E14,E1:-1,"C237";	/* i,I acute */
E15,E1:-1,"C205";
E54,E110:-1,"C105";	/* BS */
E55,E110:-1,"C73";

E12,E1:-1,"C233";	/* e,E acute */
E13,E1:-1,"C201";
E40,E110:-1,"C101";	/* backspace on e,E accentuated */
E41,E110:-1,"C69";

E22,E5:-1,"C241";	/* n,N tilde */
E23,E5:-1,"C209";
E24,E110:-1,"C110";	/* Backspace on n,N tilde */
E25,E110:-1,"C78";

%%END
